Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		merkaartor
#Epoch:		0
Version:	0.16.1
Release:	1
License:	GNU/GPLv2
URL:		http://merkaartor.be
Group:		Navigation
Summary:	OpenStreetMap editor
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: boost-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
Merkaartor is an OpenStreetMap editor for Unix, Windows and Mac OS X (prerelease, Intel only), distributed under the GNU General Public License.
Merkaartor has some unique features such as...

    * Map view near-WYSIWYG, anti-aliased, with road names
    * Transparent display of map features like roads, amenities and areas
    * Style editor for the map display, including multiple styles
    * Support for handling separated highways
    * Easy up/download from OpenStreetMap data
    * Render an area with the current style (SVG or Bitmap)
    * Native application (developed with the Qt4 toolkit)
    * Import NMEA
    * Live connection to your GPS
    * Experimental mobile device support (Pocket PCs)
    * View your GPS tracks and geotagged photos without the need to upload them

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
qmake-qt4 PREFIX=%{_prefix} NODEBUG=1
make %{?_smp_mflags}


%install
rm -Rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/merkaartor
%{_libdir}/merkaartor/plugins/background/libMWalkingPapersBackgroundPlugin.so
%{_libdir}/merkaartor/plugins/background/libMYahooBackgroundPlugin.so
%{_libdir}/merkaartor/plugins/background/libMYahooTiledBackgroundPlugin.so
%{_libdir}/merkaartor/plugins/styles/libskulpture.so
%{_applications}/merkaartor.desktop
%{_datadir}/icons/hicolor/48x48/apps/merkaartor.png
%{_datadir}/merkaartor/BookmarksList.xml
%{_datadir}/merkaartor/Projections.xml
%{_datadir}/merkaartor/TmsServersList.xml
%{_datadir}/merkaartor/WmsServersList.xml
%{_datadir}/merkaartor/world_background.osb

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Jul 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.16.1-1
- initial CCux package release
